be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

## Class Substanceproduct

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.Substanceproduct

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-04-08T03:21:59+02:00",
                 comments="JAXB RI v2.3.7")
      public class Substanceproduct
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="intendedcd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-INNCLUSTER"/>
               <element name="deliveredcd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-DRUG-CNK" minOccurs="0"/>
               <element name="intendedname" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="deliveredname" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Substanceproduct()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDDRUGCNK` | `getDeliveredcd()` Gets the value of the deliveredcd property.
    `String` | `getDeliveredname()` Gets the value of the deliveredname property.
    `CDINNCLUSTER` | `getIntendedcd()` Gets the value of the intendedcd property.
    `String` | `getIntendedname()` Gets the value of the intendedname property.
    `void` | `setDeliveredcd(CDDRUGCNK value)` Sets the value of the deliveredcd property.
    `void` | `setDeliveredname(String value)` Sets the value of the deliveredname property.
    `void` | `setIntendedcd(CDINNCLUSTER value)` Sets the value of the intendedcd property.
    `void` | `setIntendedname(String value)` Sets the value of the intendedname property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Substanceproduct

          public Substanceproduct()

  - ### Method Detail

    - #### getIntendedcd

          public CDINNCLUSTER getIntendedcd()

      Gets the value of the intendedcd property.
      Returns:
        possible object is `CDINNCLUSTER`

    - #### setIntendedcd

          public void setIntendedcd(CDINNCLUSTER value)

      Sets the value of the intendedcd property.
      Parameters:
        `value` - allowed object is `CDINNCLUSTER`

    - #### getDeliveredcd

          public CDDRUGCNK getDeliveredcd()

      Gets the value of the deliveredcd property.
      Returns:
        possible object is `CDDRUGCNK`

    - #### setDeliveredcd

          public void setDeliveredcd(CDDRUGCNK value)

      Sets the value of the deliveredcd property.
      Parameters:
        `value` - allowed object is `CDDRUGCNK`

    - #### getIntendedname

          public String getIntendedname()

      Gets the value of the intendedname property.
      Returns:
        possible object is `String`

    - #### setIntendedname

          public void setIntendedname(String value)

      Sets the value of the intendedname property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDeliveredname

          public String getDeliveredname()

      Gets the value of the deliveredname property.
      Returns:
        possible object is `String`

    - #### setDeliveredname

          public void setDeliveredname(String value)

      Sets the value of the deliveredname property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPRACTICALNURSE 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.